Bug 974339 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
[abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:bd07e4f9fba078e6ff99a12cfdd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 23:07 EDT by bugzilla.redhat
Modified: 2015-03-09 18:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:19:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bug_fedora: needinfo-


Attachments (Terms of Use)
File: dmesg (67.32 KB, text/plain)
2013-06-13 23:07 EDT, bugzilla.redhat
no flags Details

  None (edit)
Description bugzilla.redhat 2013-06-13 23:07:22 EDT
Description of problem:
trying to connect bluetooth phone to laptop

Additional info:
reporter:       libreport-2.1.4
BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
IP: [<ffffffffa04682e8>] l2cap_chan_send+0x68/0xc00 [bluetooth]
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi arc4 acpi_cpufreq snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc thinkpad_acpi btusb bluetooth rtl8192ce rtlwifi rtl8192c_common mac80211 cfg80211 mperf snd_timer coretemp kvm mei iTCO_wdt iTCO_vendor_support rfkill snd joydev soundcore microcode uvcvideo lpc_ich i2c_i801 mfd_core videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media uinput crc32_pclmul i915 crc32c_intel ghash_clmulni_intel i2c_algo_bit drm_kms_helper sdhci_pci sdhci mmc_core drm r8169 mii i2c_core video sunrpc
CPU 2 
Pid: 2335, comm: kbnepd bnep0 Not tainted 3.9.4-200.fc18.x86_64 #1 LENOVO 1143CTO/1143CTO
RIP: 0010:[<ffffffffa04682e8>]  [<ffffffffa04682e8>] l2cap_chan_send+0x68/0xc00 [bluetooth]
RSP: 0018:ffff88011a5b3b48  EFLAGS: 00010246
RAX: 000000000000069b RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000000028 RSI: ffff880099401848 RDI: ffff8800ac3c9400
RBP: ffff88011a5b3be8 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000107 R11: 0000000000000000 R12: 0000000000000000
R13: ffff8800ac3c9400 R14: 0000000000000028 R15: ffff8800ac3c9788
FS:  0000000000000000(0000) GS:ffff88013fa80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000020 CR3: 0000000133932000 CR4: 00000000000407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process kbnepd bnep0 (pid: 2335, threadinfo ffff88011a5b2000, task ffff8800ac364650)
Stack:
 0000000000000028 ffff88011a5b3bb8 ffff880099401848 003fffff00000925
 ffff8801ffffffa6 ffffffff8165ec66 0000000000000200 ffff88011a5b3cc0
 ffff8801366f5400 ffff880099401848 0000000000000028 ffff8800ac3c9788
Call Trace:
 [<ffffffff8165ec66>] ? __mutex_lock_slowpath+0x46/0x130
 [<ffffffffa046cc72>] l2cap_sock_sendmsg+0x82/0xf0 [bluetooth]
 [<ffffffff81539de0>] sock_sendmsg+0xb0/0xe0
 [<ffffffff81539e50>] kernel_sendmsg+0x40/0x60
 [<ffffffffa067fa00>] bnep_session+0x510/0x940 [bnep]
 [<ffffffff81093e40>] ? try_to_wake_up+0x2d0/0x2d0
 [<ffffffffa067f4f0>] ? bnep_rx_control+0x3b0/0x3b0 [bnep]
 [<ffffffff81082c70>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? ftrace_define_fields_xen_mc_flush+0x20/0xb0
 [<ffffffff81082bb0>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff81669eac>] ret_from_fork+0x7c/0xb0
 [<ffffffff81082bb0>] ? kthread_create_on_node+0x120/0x120
Code: 00 00 0f b7 47 2e c7 45 80 a6 ff ff ff 48 39 85 60 ff ff ff 0f 87 d5 01 00 00 f6 05 74 c4 01 00 04 4c 8b 67 08 0f 85 6d 0b 00 00 <41> 8b 44 24 20 48 8b 8d 70 ff ff ff 4c 89 ef 83 e8 04 3b 85 60 
RIP  [<ffffffffa04682e8>] l2cap_chan_send+0x68/0xc00 [bluetooth]
 RSP <ffff88011a5b3b48>
CR2: 0000000000000020
Comment 1 bugzilla.redhat 2013-06-13 23:07:27 EDT
Created attachment 761060 [details]
File: dmesg
Comment 2 Justin M. Forbes 2013-10-18 17:10:17 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 3 Justin M. Forbes 2013-11-27 11:19:05 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.